Package org.apache.solr.common.cloud

## Interface CollectionStatePredicate

    public interface CollectionStatePredicate

Interface to determine if a set of liveNodes and a collection's state matches some expectations.

See Also:
  "ZkStateReader#waitForState(String, long, TimeUnit, CollectionStatePredicate)", "ZkStateReader#waitForState(String, long, TimeUnit, Predicate)"

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `matches​(Set<String> liveNodes, DocCollection collectionState)` Check if the set of liveNodes and the collection state matches a required state

### Method Detail

#### matches

    boolean matches​(Set<String> liveNodes,
                    DocCollection collectionState)

Check if the set of liveNodes and the collection state matches a required state

Note that both liveNodes and collectionState should be consulted to determine the overall state.

Parameters:
  `liveNodes` - the current set of live nodes
  `collectionState` - the latest collection state, or null if the collection does not exist
Returns:
  true if the input matches the requirements of this predicate